Source: qttools-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Felix Geyer <fgeyer@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper-compat (= 13),
               libclang-dev (>= 1:3.9~) [amd64 arm64 armel armhf hurd-i386 i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390x sparc64],
               libqt5opengl5-dev (>= 5.15.6+dfsg~),
               libqt5sql5-sqlite (>= 5.15.6+dfsg~),
               libqt5webkit5-dev (>= 5.212.0~alpha4-8~) [alpha amd64 arm64 armel armhf i386 mips64el mipsel ppc64 ppc64el riscv64 s390x sh4 x32],
               llvm-dev (>= 1:3.9~) [amd64 arm64 armel armhf hurd-i386 i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390x sparc64],
               pkg-kde-tools,
               qtbase5-private-dev (>= 5.15.6+dfsg~),
               qtdeclarative5-private-dev (>= 5.15.6+dfsg~),
               zlib1g-dev
Build-Depends-Indep: llvm-dev (>= 1:3.9~) <!nodoc>,
                     qtbase5-doc-html (>= 5.15.6+dfsg~) <!nodoc>
Standards-Version: 4.6.1
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qttools.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qttools

Package: libqt5designer5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 designer module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDesigner module provides classes that allow you to create your own
 custom widget plugins for Qt Designer, and classes that enable you to access
 Qt Designer's components.

Package: libqt5designercomponents5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Designer components module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package includes components for the Qt 5 Designer module.

Package: qdbus-qt5
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 D-Bus tool
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains qdbus, a command-line tool interface to D-Bus that uses
 the QtDBus library.

Package: qdbus
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends: qdbus-qt5, ${misc:Depends}
Description: Qt 5 D-Bus tool — dummy transitional package
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package is a dummy transitional package for users upgrading from
 Qt 4 to Qt 5. It can be safely removed.

Package: qdoc-qt5
Architecture: amd64 arm64 armel armhf hurd-i386 i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390x sparc64
Multi-Arch: foreign
Section: utils
Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
Breaks: qttools5-dev-tools (<< 5.11.3-3~)
Replaces: qttools5-dev-tools (<< 5.11.3-3~)
Description: Qt 5 qdoc tool
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains qdoc, a command-line tool for generating HTML
 documentation from .cpp and .qdoc files.

Package: qhelpgenerator-qt5
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: libqt5sql5-sqlite, qtchooser, ${misc:Depends}, ${shlibs:Depends}
Breaks: qttools5-dev-tools (<< 5.12.3-2~)
Replaces: qttools5-dev-tools (<< 5.12.3-2~)
Description: Qt 5 qhelpgenerator tool
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains qhelpgenerator, a command-line tool for packaging
 the HTML documentation generated by qdoc into .qch files.

Package: qtattributionsscanner-qt5
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
Breaks: qttools5-dev-tools (<< 5.12.3-2~)
Replaces: qttools5-dev-tools (<< 5.12.3-2~)
Description: Qt 5 qtattributionsscanner tool
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains qtattributionsscanner, a command-line tool that
 scans the source code for qt_attribution.json file and outputs JSON or
 qdoc files describing the copyright attributions for third party code.

Package: libqt5help5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 help module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtHelp module provides classes for integrating online documentation in
 applications.

Package: qttools5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt5designer5 (= ${binary:Version}),
         libqt5designercomponents5 (= ${binary:Version}),
         libqt5help5 (= ${binary:Version}),
         qtbase5-dev,
         qttools5-dev-tools (= ${binary:Version}),
         ${misc:Depends}
Breaks: qttools5-dev-tools (<< 5.9.2-3~)
Replaces: qttools5-dev-tools (<< 5.9.2-3~)
Description: Qt 5 tools development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications.

Package: qttools5-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qttools5-dev (= ${binary:Version}), ${misc:Depends}
Description: Qt 5 tools private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains private header development files.
 .
 Use at your own risk.

Package: qttools5-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: qdoc-qt5 (= ${binary:Version}) [amd64 arm64 armel armhf hurd-i386 i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390x sparc64],
         qhelpgenerator-qt5 (= ${binary:Version}),
         qt5-assistant (= ${binary:Version}),
         qtattributionsscanner-qt5 (= ${binary:Version}),
         qtchooser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 development tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of applications to browse the documentation,
 translate applications, generate help files and other stuff that
 helps in Qt development. These tools are among others:
  * designer
  * linguist
  * pixeltool
  * qdbusviewer

Package: qt5-assistant
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: libqt5sql5-sqlite, qtchooser, ${misc:Depends}, ${shlibs:Depends}
Suggests: qt5-doc
Breaks: qttools5-dev-tools (<< 5.9.2-5~)
Replaces: qttools5-dev-tools (<< 5.9.2-5~)
Description: Qt 5 Assistant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Assistant is a tool for viewing on-line documentation in Qt help file
 format.

Package: qttools5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 tools examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains examples of the Qt 5 tools module.

Package: qttools5-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 tools documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 tools libraries
 and binaries.

Package: qttools5-doc-html
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 tools HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 tools
 libraries and binaries.
